## ros-crystal-examples-rclcpp-minimal-subscriber 0.6.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(examples_rclcpp_minimal_subscriber)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)

add_executable(subscriber_lambda lambda.cpp)
ament_target_dependencies(subscriber_lambda rclcpp std_msgs)

add_executable(subscriber_member_function member_function.cpp)
ament_target_dependencies(subscriber_member_function rclcpp std_msgs)

add_executable(subscriber_not_composable not_composable.cpp)
ament_target_dependencies(subscriber_not_composable rclcpp std_msgs)

install(TARGETS
  subscriber_lambda
  subscriber_member_function
  subscriber_not_composable
  DESTINATION lib/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-crystal-examples-rclcpp-minimal-subscriber (0.6.3-0bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sat, 09 Mar 2019 08:00:00 -0000

ros-crystal-examples-rclcpp-minimal-subscriber (0.6.2-0bionic) bionic; urgency=high

  * Updated documentation. (#225 <https://github.com/ros2/examples/issues/225>)
  * Contributors: Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Feb 2019 08:00:00 -0000

ros-crystal-examples-rclcpp-minimal-subscriber (0.6.0-0bionic) bionic; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#214 <https://github.com/ros2/examples/issues/214>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 20 Nov 2018 08:00:00 -0000

ros-crystal-examples-rclcpp-minimal-subscriber (0.5.1-0bionic) bionic; urgency=high

  * make Mikael Arguedas the maintainer (#212 <https://github.com/ros2/examples/issues/212>)
  * Contributors: Mikael Arguedas

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-crystal-examples-rclcpp-minimal-subscriber (0.5.0-0bionic) bionic; urgency=high

  * Change the not_composable example to destroy subscription first. (#210 <https://github.com/ros2/examples/issues/210>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 Jun 2018 07:00:00 -0000

ros-crystal-examples-rclcpp-minimal-subscriber (0.4.0-0bionic) bionic; urgency=high

  * use global node not local (#195 <https://github.com/ros2/examples/issues/195>)
  * Use logging (#190 <https://github.com/ros2/examples/issues/190>)
  * 0.0.3
  * call shutdown before exiting (#179 <https://github.com/ros2/examples/issues/179>)
  * 0.0.2
  * rename executables with shorter names (#177 <https://github.com/ros2/examples/issues/177>)
  * install executables in package specific path #173 <https://github.com/ros2/examples/issues/173>
  * use CMAKE_X_STANDARD and check compiler rather than platform
  * add pedantic flag
  * Cpp14 (#147 <https://github.com/ros2/examples/issues/147>)
  * Minimal service and client (#138 <https://github.com/ros2/examples/issues/138>)
  * Add examples_ prefix to package names to avoid future collisions. (#137 <https://github.com/ros2/examples/issues/137>)
  * attempt to improve indentation which includes a c++11 lambda
  * fix cmake indentation and c++11 flag ordering
  * change talker/listener to minimal_publisher/minimal_subscriber
  * Contributors: Dirk Thomas, Mikael Arguedas, Morgan Quigley

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Dec 2017 08:00:00 -0000

=== debian/control ===
Source: ros-crystal-examples-rclcpp-minimal-subscriber
Section: misc
Priority: extra
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-rclcpp, ros-crystal-std-msgs, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-examples-rclcpp-minimal-subscriber
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-rclcpp, ros-crystal-std-msgs, ros-crystal-ros-workspace
Description: Examples of minimal subscribers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-examples-rclcpp-minimal-subscriber//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
